Bug 480056 - Review Request: libchamplain-gtk - Gtk+ widget wrapper for libchamplain
Review Request: libchamplain-gtk - Gtk+ widget wrapper for libchamplain
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On: 480050
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-14 14:31 EST by Debarshi Ray
Modified: 2011-03-01 12:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-01 12:58:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Debarshi Ray 2009-01-14 14:31:33 EST
Spec URL: http://rishi.fedorapeople.org/libchamplain-gtk.spec
SRPM URL: http://rishi.fedorapeople.org/libchamplain-gtk-0.2.8-1.fc10.src.rpm

Description:
Libchamplain-gtk is a library providing a GtkWidget to embed libchamplain into
Gtk+ applications.
Comment 1 Denis Leroy 2009-01-29 16:29:08 EST
Couple of things :

- you should not put "%{version}" macro in the patch0 source filename, since this will force you to rename it everytime you update the package. Although not officially in the guidelines, most people hardcode the version that the patch was derived from, and keep that version in the filename until the patch no longer applies and has to be recreated...

- why the pkgconfig patch ? I can see the development headers indeed only need libchamplain and gtk2 but this most likely will not stay true in the future. Seems a bit over the top...

Otherwise this is very similar to the libchamplain review...
Comment 2 Debarshi Ray 2009-02-21 15:42:53 EST
Sorry for the delayed response.

Till now libchamplain and libchamplain-gtk had two separate source trees, which has recently been merged into one. This happened earlier than I had predicted. However it will take some time for the first release from this merged tree. Therefore I am not sure whether we should go ahead with this review, because libchamplain-gtk will be very short-lived as a separate source package. Once the 0.4.x (or 0.3.x) releases come out from the unified tree, libchamplain-gtk will become a sub-package of libchamplain.

What do you think?

(In reply to comment #1)
> Couple of things :
> 
> - you should not put "%{version}" macro in the patch0 source filename, since
> this will force you to rename it everytime you update the package. Although not
> officially in the guidelines, most people hardcode the version that the patch
> was derived from, and keep that version in the filename until the patch no
> longer applies and has to be recreated...

Yes, you are right. The reason I do it is to force myself to rebase the patches on every new upstream release to avoid any silly build failures due to the new RPM's zero fuzz tolerance, or have any ancient patches lying around.

> - why the pkgconfig patch ? I can see the development headers indeed only need
> libchamplain and gtk2 but this most likely will not stay true in the future.
> Seems a bit over the top...

In case they actually add any new dependencies then we will have to add it in the Spec (only on F10 since F11 auto-detects pkgconfig stuff) and modify/remove the patch accordingly. I have notified the upstream author and he seems to agree that the pkgconfig file might be faulty.

It somehow does not feel right to knowingly distribute a faulty file. :-)
Comment 3 Denis Leroy 2009-02-22 04:46:00 EST
About the merged source trees, can you ask upstream when this will likely happen ?
Comment 4 Debarshi Ray 2009-02-22 05:01:17 EST
(In reply to comment #3)
> About the merged source trees, can you ask upstream when this will likely
> happen ?

While the SCMs have been merged, it will take some time, my guess is 2-3 months, before there is any release from this merged tree.
Comment 5 Debarshi Ray 2009-03-17 18:06:23 EDT
Looks like libchamplain-gtk will continue to be a separate tarball for some more time.

Spec: http://rishi.fedorapeople.org/libchamplain-gtk.spec
SRPM: http://rishi.fedorapeople.org/libchamplain-gtk-0.2.9-1.fc10.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1246988
Comment 6 Denis Leroy 2009-05-17 04:26:19 EDT
Hi Debarshi,

Sorry for the delay. Let's get it over with, can you post updates to your spec and srpm ?
Comment 7 Łukasz Jernaś 2010-06-07 17:36:41 EDT
Should this be closed as the gtk subpackage is already in http://cvs.fedoraproject.org/viewvc/rpms/libchamplain/devel/ ?
Comment 8 Michael Schwendt 2011-03-01 12:58:07 EST
Yes, the packages have been merged, so there is no need to continue here anymore.

Note You need to log in before you can comment on or make changes to this bug.